Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).


L'icône rouge permet de télécharger chaque page du wiki visitée au format PDF et la grise au format ODT → ODT PDF Export

Flash bug 23/10/16

1 - INTRODUCTION

Le paquet pepperflashplugin-nonfree est désormais obsolète, depuis la nouvelle édition de flash plugin basé sur une nouvelle architecture appelée PPAPI.

Nota : PPAPI, est une nouvelle architecture développée par Google pour les mises à jour de flash.

2 - INSTALLATION - CAS GÉNÉRAL

Comme le fait par ailleurs le paquet flashplugin-nonfree, il faut désormais télécharger le plugin depuis le site officiel d'Adobe.

On va télécharger flashppapi dans Téléchargement.

 wget -P $HOME/Téléchargements/flashppapi https://fpdownload.adobe.com/pub/flashplayer/pdc/<version>/flash_player_ppapi_linux.x86_64.tar.gz 

Nota : remplacer <version> par la version courante (ex : 23.0.0.185, on remarque bien qu'on ne conserve pas les < et >) et 'x86_64' par 'i386' si le système d'exploitation est Wheezy 32-bit.
https://www.adobe.com/fr/software/flash/about/

On change de répertoire de travail on va dans flashppapi

 cd $HOME/Téléchargements/flashppapi 

On extrait l'archive téléchargée

 tar -zxf flash_player_ppapi_linux.x86_64.tar.gz 

Nota : remplacer 'x86_64' par 'i386' si le système d'exploitation est Wheezy 32-bit.

On crée le dossier de destination pepperflashplugin-nonfree

 mkdir /usr/lib/pepperflashplugin-nonfree 

On y copie le plugin

 cp libpepflashplayer.so /usr/lib/pepperflashplugin-nonfree 

On vérifie que la copie s'est bien exécutée (facultatif).

 ls /usr/lib/pepperflashplugin-nonfree 

On se déplace dans le répertoire Téléchargements en vue de supprimer le fichier flashppapi (facultatif)
Pour revenir en arrière utiliser la commande suivante
(éventuellement ; tout dépend ou on se trouve).

cd .. 

On va dans Téléchargement.

 cd $HOME/Téléchargements 

On supprime le fichier flashppapi (facultatif)

 rm -rf $HOME/Téléchargements/flashppapi 

3 – INSTALLATION - PARTICULARITÉ POUR CHROMIUM

Il y a deux possibilités : soit (3.1) créer manuellement le petit fichier de configuration jadis créé automatiquement, soit (3.2) modifier le lanceur de Chromium en spécifiant le chemin du plugin.

3.1 création manuelle du fichier de configuration

Éditer le fichier pepperflashplugin-nonfree

 nano /etc/chromium.d/pepperflashplugin-nonfree 

et copier coller le texte ci-dessous

flashso=“/usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so”
flashversion=`strings $flashso 2> /dev/null | grep LNX | cut -d ' ' -f 2 | sed -e “s/,/./g”`
CHROMIUM_FLAGS=“$CHROMIUM_FLAGS –ppapi-flash-path=$flashso –ppapi-flash-version=$flashversion”

3.2 Modifier le lanceur de Chromium

 chromium --ppapi-flash-path=/usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so –ppapi-flash-version=<version> 

Nota : remplacer <version> par la version installée (ex : 23.0.0.185) ; en pratique, cet argument est facultatif, mais évite l'affichage d'un numéro de version fantaisiste dans chrome chrome ://plugins

4 – INSTALLATION - PARTICULARITÉ POUR FIREFOX

Il faut installer le paquet rétroporté browser-plugin-freshplayer-pepperflash (dépôt jessie-backports) ; il fournit la bibliothèque libfreshwrapper-flashplayer.so (PPAPI → NPAPI).

 apt-get update && apt-get --no-install-recommends --target-release jessie-backports install browser-plugin-freshplayer-pepperflash 

Nota : ne pas trop s'inquiéter du numéro de version (13.1.2.3) et/ou de la date (26/05/2016) qui apparaît dans about:addons > Plugins ; cela concerne la bibliothèque libfreshwrapper-flashplayer.so et pas le plugin

5 - UTILISATION

Après chaque mise à jour de flash il faudra recommencer cette installation en s'inspirant de ce tutoriel.

utilisateurs/nounours/tutos/flash-bug.txt · Dernière modification: 24/10/2016 18:27 par nounours

Pied de page des forums

Propulsé par FluxBB